Loading...
Searching...
No Matches
auth::LdapManager Interface Reference

LDAP server configuration interface. More...

## Classes

struct | ServerSettings
| Server settings. More...

## Public Types

enum | ServerType { ACTIVE_DIRECTORY , OPEN_LDAP }
| LDAP server type. More...
enum | SecurityProtocol { SEC_PROTO_NONE , SEC_PROTO_SSL , SEC_PROTO_STARTTLS }
| LDAP server type. More...

## Public Member Functions

vector< ServerSettings > | getLdapServers ()
| Get a list of LDAP server settings.
int | setLdapServers (in vector< ServerSettings > serverList)
| Sets a list of LDAP servers.
int | testLdapServer (in string username, in string password, in ServerSettings settings, out string diagMsg)
| Tests an LDAP server configuration.

## Public Attributes

constant int | ERR_CYCLIC_DEP = 1
| Cyclic dependency in server list.
constant int | ERR_INVALID_CFG = 2
| The server configuration is invalid.
constant int | ERR_SERVER_UNSPECIFIED = 1
| Unspecified error.
constant int | ERR_SERVER_UNREACHABLE = 3
| LDAP server could not be contacted.
constant int | ERR_AUTHENTICATION_FAILED = 4
| User could not be authenticated.
constant int | ERR_NO_ROLES = 5
| No roles are defined for the user.
constant int | ERR_NO_KNOWN_ROLES = 6
| No known rules are defined for the user.

## Detailed Description

LDAP server configuration interface.

Definition at line 10 of file LdapManager.idl.

## Member Enumeration Documentation

## SecurityProtocol

enum auth::LdapManager::SecurityProtocol

LDAP server type.

Enumerator
SEC_PROTO_NONE | no security protocol
SEC_PROTO_SSL | use SSL
SEC_PROTO_STARTTLS | use STARTTLS

Definition at line 19 of file LdapManager.idl.

## ServerType

enum auth::LdapManager::ServerType

LDAP server type.

Enumerator
ACTIVE_DIRECTORY | Active directory.
OPEN_LDAP | OpenLDAP.

Definition at line 13 of file LdapManager.idl.

## Member Function Documentation

## getLdapServers()

vector< ServerSettings > auth::LdapManager::getLdapServers | ( |  | ) |

Get a list of LDAP server settings.

Returns
  list of ServerSettings

## setLdapServers()

int auth::LdapManager::setLdapServers | ( | in vector< ServerSettings > | serverList | ) |

Sets a list of LDAP servers.

Any existing LDAP Server configuration will be cleared / overwritten.

Returns
  0 on success
  `ERR_CYCLIC_DEP` in case of cyclic dependency
  `ERR_INVALID_CFG` in case of invalid configuration

## testLdapServer()

int auth::LdapManager::testLdapServer | ( | in string | username,
|  | in string | password,
|  | in ServerSettings | settings,
|  | out string | diagMsg
| ) |  |

Tests an LDAP server configuration.

Returns
  0 on success
  `ERR_SERVER_UNSPECIFIED` an unspecified error occurred
  `ERR_INVALID_CFG` LDAP server configuration is invalid (reused from setLdapServers)
  `ERR_SERVER_UNREACHABLE` LDAP server could not be contacted
  `ERR_AUTHENTICATION_FAILED` user could not be authenticated
  `ERR_NO_ROLES` no roles are defined for the user
  `ERR_NO_KNOWN_ROLES` no known roles are defined for the user

## Member Data Documentation

## ERR_AUTHENTICATION_FAILED

constant int auth::LdapManager::ERR_AUTHENTICATION_FAILED = 4

User could not be authenticated.

Definition at line 73 of file LdapManager.idl.

## ERR_CYCLIC_DEP

constant int auth::LdapManager::ERR_CYCLIC_DEP = 1

Cyclic dependency in server list.

Definition at line 59 of file LdapManager.idl.

## ERR_INVALID_CFG

constant int auth::LdapManager::ERR_INVALID_CFG = 2

The server configuration is invalid.

Definition at line 60 of file LdapManager.idl.

## ERR_NO_KNOWN_ROLES

constant int auth::LdapManager::ERR_NO_KNOWN_ROLES = 6

No known rules are defined for the user.

Definition at line 75 of file LdapManager.idl.

## ERR_NO_ROLES

constant int auth::LdapManager::ERR_NO_ROLES = 5

No roles are defined for the user.

Definition at line 74 of file LdapManager.idl.

## ERR_SERVER_UNREACHABLE

constant int auth::LdapManager::ERR_SERVER_UNREACHABLE = 3

LDAP server could not be contacted.

Definition at line 72 of file LdapManager.idl.

## ERR_SERVER_UNSPECIFIED

constant int auth::LdapManager::ERR_SERVER_UNSPECIFIED = 1

Unspecified error.

Definition at line 71 of file LdapManager.idl.

The documentation for this interface was generated from the following file:

- LdapManager.idl